# AODataGetInfo

Gets the number of keys and their names in a database.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataGetInfo(AOData ao,PetscInt *nkeys,char ***keys)

Not collective

### Input Parameter

ao -the AOData database

### Output Parameters

| nkeys | - the number of keys
| keys | - the names of the keys (or PETSC_NULL)

### Keywords

application ordering

### See Also

AODataSegmentGetInfo()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages